# qca_keystore.h File Reference

Header file for classes that provide and manage keys. More...

`#include "qca_core.h"`
`#include "qca_cert.h"`

Include dependency graph for qca_keystore.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | QCA

## Classes

class | QCA::KeyStore
| General purpose key storage object. More...
class | QCA::KeyStoreEntry
| Single entry in a KeyStore. More...
class | QCA::KeyStoreEntryWatcher
| Class to monitor the availability of a KeyStoreEntry. More...
class | QCA::KeyStoreInfo
| Key store information, outside of a KeyStore object. More...
class | QCA::KeyStoreManager
| Access keystores, and monitor keystores for changes. More...

## Detailed Description

Header file for classes that provide and manage keys.

Note:
  You should not use this header directly from an application. You should just use `#include <QtCrypto>` instead.